/* Old mobile nav */
#mobilenav {
  height: 100%;
  width: 0px;
  position: fixed;
  z-index: 5000;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.8);
  overflow-x: hidden;
  padding-top: 15px;
  transition: 0.5s;
}

#mobilenav ul {
  margin: 30px 0px 0px 0px;
}

#mobilenav ul li {
  list-style-type: none;
  margin: 0px;
}

#mobilenav ul a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 18px;
  color: #ffffff;
  display: block;
  transition: 0.3s;
}

#mobilenav ul a:hover {
  color: #f1f1f1;
}

#mobilenav .closebtn{
  opacity: 0;
  transition: opacity 2s;
}

/* New mobile nav */
.mobile-nav {
  height: 100%;
  width: 0px;
  max-width: 80%;
  position: fixed;
  z-index: 5000;
  top: 0;
  left: 0;
  background: var(--white);
  overflow-x: hidden;
  box-shadow: 0.25rem 0rem 0.5rem 0rem rgba(0, 0, 0, 0.08);
  transition: width 0.5s cubic-bezier(0.4, 0, 0.2, 1);
  overflow-y: auto;
  overscroll-behavior: contain;
}

.mobile-nav-sub {
  font-weight: 700 !important;
}

.mobile-nav .mobile-nav-sub-menu {
  padding-top: 0.25rem;
  gap: 0.25rem;
}

.mobile-nav .mobile-nav-sub-menu li * {
  color: var(--gray);
  font-size: 1rem;
  margin: 0;
  font-weight: 500;
}

.mobile-nav ul {
  padding: 1rem 0 0 0;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.mobile-nav ul li {
  list-style: none;
  font-size: 1.25rem;
  color: var(--black);
  font-weight: 600; /* Keep same thickness for non-submenu items */
}

.mobile-nav ul a {
  text-decoration: none;
  font-size: 1.25rem;
  color: var(--black);
}

.mobile-nav-header {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 0.5rem 1rem 0.5rem 0.8rem;
}

.mobile-nav-close-btn {
  background: none;
  border: none;
  width: 2rem;
  height: 2rem;
  color: var(--black);
  padding: 0 0 0 0.1rem;
}

.mobile-nav-menu {
  padding: 0 2.75rem 0 1.4rem
}

.mobile-navbar-btn-wrapper {
  padding: 0.5rem 1rem 0.5rem 0.8rem;
  position: sticky;
  top: 0;
  z-index: 4000;
  background: var(--white);
  box-shadow: 0 2px 8px 0 rgba(0,0,0,0.06);
}